Subject: bug#74532: with-extensions does not add native extensions to the load path

From: "Timo Wilken" <[email-masked]>
Date: Mon, 14 Apr 2025 19:40:39 +0200

Hi Tomas,

> Look, I get that I must be annoying with the constant reopening of this
> issue, but I promise, this is the last time.  When someone closes it
> again, I will just give up.  But as I wrote in the control message last
> time (where I have CC-ed Ludovic), I do not believe this issue is
> resolved.  Great, guile-yamlpp works now, but that is not this issue is
> about.

I'm sorry, I didn't realise that the re-opening of the issue was an
intentional action by a human -- neither the debbugs web interface nor mumi
made this obvious to me. Your first control message doesn't seem to be
reproduced there.

> It is fine if you think that with-extensions should *not* touch
> GUILE_EXTENSIONS_PATH.  I disagree, but fair enough, that is life.
> However, it would be nice to know why you think handling just 2 out of 3
> environment variable controlling the loading in Guile is desirable.

I think I agree with you -- all of this should be handled properly through the
GUILE_* environment variables, without having to patch every single Guile
package individually. With this patch, I mostly wanted to get guile-yamlpp to
work since I needed it for something.

Guile packaging in Guix seems a little strange to me, in general -- e.g. the
treatment for disarchive in <https://issues.guix.gnu.org/62008> might need to
be applied to the Shepherd as well:

--8<---------------cut here--------------->8-
$ guix shell -CN --pure guile shepherd -- guile
scheme@(guile-user)> ,use (shepherd)
While executing meta-command:
no code for module (fibers)
--8<---------------cut here--------------->8-

Cheers,
Timo